package com.steering.pss.plnsaleord.processOrder.base;

/**
 * 排产下发公共类
 * @author peng
 */
public class ProducEntity {


    public String getDiameterGp() {
        return diameterGp;
    }

    public void setDiameterGp(String diameterGp) {
        this.diameterGp = diameterGp;
    }

    private String diameterGp = "";
    private String gradecode = "";

    public String getGradecode() {
        return gradecode;
    }

    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 临时确认
     */
    private String gpreqIfDz="";
    /**
     * 临时确认
     */
    public String getGpreqIfDz() {
        return gpreqIfDz;
    }
    /**
     * 临时确认
     */
    public void setGpreqIfDz(String gpreqIfDz) {
        this.gpreqIfDz = gpreqIfDz;
    }
    /**
     * 电炉产线代码
     */
    private String plineCodeA = "";
    /**
     * 电炉产线
     */
    private String plineNameA = "";
    
    /**
     * 电炉产线代码
     */
    public String getPlineCodeA() {
        return plineCodeA;
    }
    /**
     * 电炉产线代码
     */
    public void setPlineCodeA(String plineCodeA) {
        this.plineCodeA = plineCodeA;
    }
    /**
     * 电炉产线
     */
    public String getPlineNameA() {
        return plineNameA;
    }
    /**
     * 电炉产线
     */
    public void setPlineNameA(String plineNameA) {
        this.plineNameA = plineNameA;
    }

    /**
     * 铸造产线代码
     */
    private String plineCodeZz = "";
    /**
     * 铸造产线
     */
    private String plineNameZz = "";

    /**
     * 铸造产线代码
     */
    public String getPlineCodeZz() {
        return plineCodeZz;
    }

    /**
     * 铸造产线代码
     */
    public void setPlineCodeZz(String plineCodeZz) {
        this.plineCodeZz = plineCodeZz;
    }

    /**
     * 铸造产线
     */
    public String getPlineNameZz() {
        return plineNameZz;
    }

    /**
     * 铸造产线
     */
    public void setPlineNameZz(String plineNameZz) {
        this.plineNameZz = plineNameZz;
    }

    /**
     * 工艺备注
     */
    private String progyMemo = "";
    /**
     * 工艺备注
     */
    public String getProgyMemo() {
        return progyMemo;
    }
    /**
     * 工艺备注
     */
    public void setProgyMemo(String progyMemo) {
        this.progyMemo = progyMemo;
    }
    /**
     * 实际需坯量
     */
    private String actualWeight = "";
    /**
     * 实际需坯量
     */
    public String getActualWeight() {
        return actualWeight;
    }
      /**
     * 实际需坯量
     */
    public void setActualWeight(String actualWeight) {
        this.actualWeight = actualWeight;
    }
    /**
     * 管坯需求确认否
     */
    private String gpreqIfOk = "";
    /**
     * 管坯需求确认否
     */
    public String getGpreqIfOk() {
        return gpreqIfOk;
    }
    /**
     * 管坯需求确认否
     */
    public void setGpreqIfOk(String gpreqIfOk) {
        this.gpreqIfOk = gpreqIfOk;
    }
    /**
     * 申请单号
     */
    private String applyNo = "";
    /**
     * 审批状态
     */
    private String applyStatus = "";
    /**
     * 审批备注
     */
    private String issuedMemo = ""; 
    /**
     * 申请单号
     * 
     * @return value
     */
    public String getApplyNo() {
        return applyNo;
    }

    /**
     * 申请单号
     * 
     * @param applyNo
     *            value
     */
    public void setApplyNo(String applyNo) {
        this.applyNo = applyNo;
    }

    /**
     * 审批状态
     * 
     * @return value
     */
    public String getApplyStatus() {
        return applyStatus;
    }

    /**
     * 审批状态
     * 
     * @param applyStatus
     *            value
     */
    public void setApplyStatus(String applyStatus) {
        this.applyStatus = applyStatus;
    }

    /**
     * 审批备注
     * 
     * @return value
     */
    public String getIssuedMemo() {
        return issuedMemo;
    }

    /**
     * 审批备注
     * 
     * @param issuedMemo
     *            value
     */
    public void setIssuedMemo(String issuedMemo) {
        this.issuedMemo = issuedMemo;
    }
    private String jgGroupId = "";// 接箍分组号(只用于接箍排产)

    public String getJgGroupId() {
        return jgGroupId;
    }

    public void setJgGroupId(String jgGroupId) {
        this.jgGroupId = jgGroupId;
    }

	/**
	 * 外购坯
	 */
	private String outsBilletFl = "";

	/**
	 * 外购坯
	 */
	public String getOutsBilletFl() {
		return outsBilletFl;
	}

	/**
	 * 外购坯
	 */
	public void setOutsBilletFl(String outsBilletFl) {
		this.outsBilletFl = outsBilletFl;
	}
	/**
     * 炉计划下发
     */
    private String ifStoveIssued;
    /**
     * 计划产出支数
     */
    private int plansNum = 0;
    /**
     * 计划产出支数
     */
    public int getPlansNum() {
        return plansNum;
    }
    /**
     * 计划产出支数
     */
    public void setPlansNum(int plansNum) {
        this.plansNum = plansNum;
    }
    /**
     * 原始量
     */
    private String originalNumber = "";
    /**
     * 原始量
     */
    public String getOriginalNumber() {
        return originalNumber;
    }
    /**
     * 原始量
     */
    public void setOriginalNumber(String originalNumber) {
        this.originalNumber = originalNumber;
    }
    /**
     * 待投入重量
     */
    private double inWeightS = 0;
    /**
     * 待投入支数
     */
    private int inNumS = 0;
    /**
     * 加投重量
     */
    private double addWtIn = 0;
    /**
     * 加投支数
     */
    private int addNumIn = 0;
    /**
     * 投入利库重量
     */
    private double matchWtIn = 0;
    /**
     * 投入利库支数
     */
    private int matchNumIn = 0;
    /**
     * 虚拟挂料吨
     */
    private double batchedWt = 0;
    /**
     * 虚拟挂料支
     */
    private int batchedNum = 0;
    /**
     * 实际挂料吨
     */
    private double realBatchWt = 0;
    /**
     * 实际挂料支
     */
    private int realBatchNum = 0;
    /**
     *排产最小吨
     */
    private double weigthSMin = 0;
    /**
     *需求吨
     */
    private double gpreqWeight = 0;
    /**
     * 需求支
     */
    private int gpreqNum = 0;
    /**
     *原排产重量
     */
    private double weigthSOld = 0;
    /**
     * 原排产支
     */
    private int numSOld = 0;
    /**
     *排产最小吨
     */
    public double getWeigthSMin() {
        return weigthSMin;
    }
    /**
     *排产最小吨
     */
    public void setWeigthSMin(double weigthSMin) {
        this.weigthSMin = weigthSMin;
    }
    /**
     *需求吨
     */
    public double getGpreqWeight() {
        return gpreqWeight;
    }
    /**
     *需求吨
     */
    public void setGpreqWeight(double gpreqWeight) {
        this.gpreqWeight = gpreqWeight;
    }
    /**
     * 需求支
     */
    public int getGpreqNum() {
        return gpreqNum;
    }
    /**
     * 需求支
     */
    public void setGpreqNum(int gpreqNum) {
        this.gpreqNum = gpreqNum;
    }
    /**
     *原排产重量
     */
    public double getWeigthSOld() {
        return weigthSOld;
    }
    /**
     *原排产重量
     */
    public void setWeigthSOld(double weigthSOld) {
        this.weigthSOld = weigthSOld;
    }
    /**
     * 原排产支
     */
    public int getNumSOld() {
        return numSOld;
    }
    /**
     * 原排产支
     */
    public void setNumSOld(int numSOld) {
        this.numSOld = numSOld;
    }
    
    private String verify1;
    private String verify2;
    private String verify3;
    /**
     * 管坯需求编号
     */
    private String gpreqId;
    /**
     * 管坯需求编号
     */
    public String getGpreqId() {
        return gpreqId;
    }
    /**
     * 管坯需求编号
     */
    public void setGpreqId(String gpreqId) {
        this.gpreqId = gpreqId;
    }

    public String getVerify1() {
        return verify1;
    }

    public void setVerify1(String verify1) {
        this.verify1 = verify1;
    }

    public String getVerify2() {
        return verify2;
    }

    public void setVerify2(String verify2) {
        this.verify2 = verify2;
    }

    public String getVerify3() {
        return verify3;
    }

    public void setVerify3(String verify3) {
        this.verify3 = verify3;
    }
    /**
     * 二级工序代码
     */
    private String processCodeC = "";
    /**
     * 二级工序名
     */
    private String processDescC = "";
    /**
     * 生产标准
     */
    private String prodStandard = "";
    /**
     * 输出标准
     */
    private String outputStandard = "";
    /**
     * 轧管最小长度
     */
    private String pipeLengthMin = "";
    /**
     * 轧管最大长度
     */
    private String pipeLengthMax = "";
    /**
     * 内控壁厚公差
     */
    private String thicknessWall = "";
    /**
     * 判定字头
     */
    private String decision = "";
    /**
     * 生产标准
     * @return value
     */
    public String getProdStandard() {
        return prodStandard;
    }

    /**
     * 生产标准
     * @param prodStandard value
     */
    public void setProdStandard(String prodStandard) {
        this.prodStandard = prodStandard;
    }

    /**
     * 输出标准
     * @return value
     */
    public String getOutputStandard() {
        return outputStandard;
    }

    /**
     * 输出标准
     * @param outputStandard value
     */
    public void setOutputStandard(String outputStandard) {
        this.outputStandard = outputStandard;
    }

    /**
     * 轧管最小长度
     * @return value
     */
    public String getPipeLengthMin() {
        return pipeLengthMin;
    }

    /**
     * 轧管最小长度
     * @param pipeLengthMin value
     */
    public void setPipeLengthMin(String pipeLengthMin) {
        this.pipeLengthMin = pipeLengthMin;
    }

    /**
     * 轧管最大长度
     * @return value
     */
    public String getPipeLengthMax() {
        return pipeLengthMax;
    }

    /**
     * 轧管最大长度
     * @param pipeLengthMax value
     */
    public void setPipeLengthMax(String pipeLengthMax) {
        this.pipeLengthMax = pipeLengthMax;
    }

    /**
     * 内控壁厚公差
     * @return value
     */
    public String getThicknessWall() {
        return thicknessWall;
    }

    /**
     * 内控壁厚公差
     * @param thicknessWall value
     */
    public void setThicknessWall(String thicknessWall) {
        this.thicknessWall = thicknessWall;
    }

    /**
     * 判定字头
     * @return value
     */
    public String getDecision() {
        return decision;
    }

    /**
     * 判定字头
     * @param decision value
     */
    public void setDecision(String decision) {
        this.decision = decision;
    }
    /**
     * 二级工序名
     * @return value
     */
    public String getProcessDescC() {
        return processDescC;
    }

    /**
     * 二级工序名
     * @param processDescC value
     */
    public void setProcessDescC(String processDescC) {
        this.processDescC = processDescC;
    }
    /**
     * 二级工序代码
     * @return value
     */
    public String getProcessCodeC() {
        return processCodeC;
    }

    /**
     * 二级工序代码
     * @param processCodeC value
     */
    public void setProcessCodeC(String processCodeC) {
        this.processCodeC = processCodeC;
    }
    private String proPlanId;// 订单编号
    private String gxPlanNo;// 排产序号
    private String inwlId;// 投入物料编码
    private String outwlId;// 产出物料编码
    private double weigthS;// 排产重量
    private int numS;// 排产支数
    private String planUserTime;// 排产用时
    private String planTimeB;// 计划开始时间
    private String planTimeE;// 计划结束时间
    private int gxProSeq;// 生产顺序号
    private String exeStatus;// 生产状态
    private String isRepairPlan;// 是否检修
    private String repairType;// 检修类型
    private String isPlanOk;// 是否下发
    private String plineCode;// 产线代码
    private String plineName;// 产线描述
    private String issuedMan;// 下发人
    private String issuedTime;// 下发时间
    private String lastUndownMan;// 取消下发人
    private String lastUndownTime;// 取消下发时间
    private String orglPlineCode;// 界面产线代码
    private String orglPlineName;// 界面产线描述
    private double orglplanWgt;// 界面排产重量
    private int orglPlanNum;// 界面排产支数
    private int orglgxProSeq;// 界面生产顺序号
    private String orglPlanUserTime;// 界面计划用时
    private String orglPlanTimeB;// 界面计划开始时间
    private String orglMemo;// 界面备注
    private Object objEntity;// 对应实体类
    private String memo = "";// 备注
    private String planGroup = "";// 计划分组
    private String orglPlanGroup = "";// 界面计划分组
    private String orglRepairType = "";
    private String proOrderNo = "";
    private String ordLnDlyPk = "";
    private String plnDivideId = "";
    private String proMonth = "";//生产年月
    /**
     *生产年月 
     * @return
     */
    public String getProMonth() {
        return proMonth;
    }
    /**
     *生产年月 
     * @return
     */
    public void setProMonth(String proMonth) {
        this.proMonth = proMonth;
    }

    public String getOrglMemo() {
        return orglMemo;
    }

    public void setOrglMemo(String orglMemo) {
        this.orglMemo = orglMemo;
    }

    public String getOrglRepairType() {
        return orglRepairType;
    }

    public void setOrglRepairType(String orglRepairType) {
        this.orglRepairType = orglRepairType;
    }

    public String getProOrderNo() {
        return proOrderNo;
    }

    public String getOrglPlanTimeB() {
        return orglPlanTimeB;
    }

    public void setOrglPlanTimeB(String orglPlanTimeB) {
        this.orglPlanTimeB = orglPlanTimeB;
    }

    public void setProOrderNo(String proOrderNo) {
        this.proOrderNo = proOrderNo;
    }

    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    public String getPlnDivideId() {
        return plnDivideId;
    }

    public void setPlnDivideId(String plnDivideId) {
        this.plnDivideId = plnDivideId;
    }

    public String getOrglPlanGroup() {
        return orglPlanGroup;
    }

    public void setOrglPlanGroup(String orglPlanGroup) {
        this.orglPlanGroup = orglPlanGroup;
    }

    public String getPlanGroup() {
        return planGroup;
    }

    public void setPlanGroup(String planGroup) {
        this.planGroup = planGroup;
    }

    public String getOrglPlanUserTime() {
        return orglPlanUserTime;
    }

    public void setOrglPlanUserTime(String orglPlanUserTime) {
        this.orglPlanUserTime = orglPlanUserTime;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getProPlanId() {
        return proPlanId;
    }

    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    public String getGxPlanNo() {
        return gxPlanNo;
    }

    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    public String getInwlId() {
        return inwlId;
    }

    public void setInwlId(String inwlId) {
        this.inwlId = inwlId;
    }

    public String getOutwlId() {
        return outwlId;
    }

    public void setOutwlId(String outwlId) {
        this.outwlId = outwlId;
    }

    public double getWeigthS() {
        return weigthS;
    }

    public void setWeigthS(double weigthS) {
        this.weigthS = weigthS;
    }

    public int getNumS() {
        return numS;
    }

    public void setNumS(int numS) {
        this.numS = numS;
    }

    public String getPlanUserTime() {
        return planUserTime;
    }

    public void setPlanUserTime(String planUserTime) {
        this.planUserTime = planUserTime;
    }

    public String getPlanTimeB() {
        return planTimeB;
    }

    public void setPlanTimeB(String planTimeB) {
        this.planTimeB = planTimeB;
    }

    public String getPlanTimeE() {
        return planTimeE;
    }

    public void setPlanTimeE(String planTimeE) {
        this.planTimeE = planTimeE;
    }

    public int getGxProSeq() {
        return gxProSeq;
    }

    public void setGxProSeq(int gxProSeq) {
        this.gxProSeq = gxProSeq;
    }

    public String getExeStatus() {
        return exeStatus;
    }

    public void setExeStatus(String exeStatus) {
        this.exeStatus = exeStatus;
    }

    public String getIsRepairPlan() {
        return isRepairPlan;
    }

    public void setIsRepairPlan(String isRepairPlan) {
        this.isRepairPlan = isRepairPlan;
    }

    public String getRepairType() {
        return repairType;
    }

    public void setRepairType(String repairType) {
        this.repairType = repairType;
    }

    public String getIsPlanOk() {
        return isPlanOk;
    }

    public void setIsPlanOk(String isPlanOk) {
        this.isPlanOk = isPlanOk;
    }

    public String getPlineCode() {
        return plineCode;
    }

    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    public String getPlineName() {
        return plineName;
    }

    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    public String getIssuedMan() {
        return issuedMan;
    }

    public void setIssuedMan(String issuedMan) {
        this.issuedMan = issuedMan;
    }

    public String getIssuedTime() {
        return issuedTime;
    }

    public void setIssuedTime(String issuedTime) {
        this.issuedTime = issuedTime;
    }

    public String getLastUndownMan() {
        return lastUndownMan;
    }

    public void setLastUndownMan(String lastUndownMan) {
        this.lastUndownMan = lastUndownMan;
    }

    public String getLastUndownTime() {
        return lastUndownTime;
    }

    public void setLastUndownTime(String lastUndownTime) {
        this.lastUndownTime = lastUndownTime;
    }

    public String getOrglPlineCode() {
        return orglPlineCode;
    }

    public void setOrglPlineCode(String orglPlineCode) {
        this.orglPlineCode = orglPlineCode;
    }

    public String getOrglPlineName() {
        return orglPlineName;
    }

    public void setOrglPlineName(String orglPlineName) {
        this.orglPlineName = orglPlineName;
    }

    public double getOrglplanWgt() {
        return orglplanWgt;
    }

    public void setOrglplanWgt(double orglplanWgt) {
        this.orglplanWgt = orglplanWgt;
    }

    public int getOrglPlanNum() {
        return orglPlanNum;
    }

    public void setOrglPlanNum(int orglPlanNum) {
        this.orglPlanNum = orglPlanNum;
    }

    public int getOrglgxProSeq() {
        return orglgxProSeq;
    }

    public void setOrglgxProSeq(int orglgxProSeq) {
        this.orglgxProSeq = orglgxProSeq;
    }

    public Object getObjEntity() {
        return objEntity;
    }

    public void setObjEntity(Object objEntity) {
        this.objEntity = objEntity;
    }
    /**
     * 炉计划下发
     */
    public String getIfStoveIssued() {
        return ifStoveIssued;
    }
    /**
     * 炉计划下发
     */
    public void setIfStoveIssued(String ifStoveIssued) {
        this.ifStoveIssued = ifStoveIssued;
    }

    public double getInWeightS() {
        return inWeightS;
    }

    public void setInWeightS(double inWeightS) {
        this.inWeightS = inWeightS;
    }

    public int getInNumS() {
        return inNumS;
    }

    public void setInNumS(int inNumS) {
        this.inNumS = inNumS;
    }

    public double getAddWtIn() {
        return addWtIn;
    }

    public void setAddWtIn(double addWtIn) {
        this.addWtIn = addWtIn;
    }

    public int getAddNumIn() {
        return addNumIn;
    }

    public void setAddNumIn(int addNumIn) {
        this.addNumIn = addNumIn;
    }

    public double getMatchWtIn() {
        return matchWtIn;
    }

    public void setMatchWtIn(double matchWtIn) {
        this.matchWtIn = matchWtIn;
    }

    public int getMatchNumIn() {
        return matchNumIn;
    }

    public void setMatchNumIn(int matchNumIn) {
        this.matchNumIn = matchNumIn;
    }

    public double getBatchedWt() {
        return batchedWt;
    }

    public void setBatchedWt(double batchedWt) {
        this.batchedWt = batchedWt;
    }

    public int getBatchedNum() {
        return batchedNum;
    }

    public void setBatchedNum(int batchedNum) {
        this.batchedNum = batchedNum;
    }

    public double getRealBatchWt() {
        return realBatchWt;
    }

    public void setRealBatchWt(double realBatchWt) {
        this.realBatchWt = realBatchWt;
    }

    public int getRealBatchNum() {
        return realBatchNum;
    }

    public void setRealBatchNum(int realBatchNum) {
        this.realBatchNum = realBatchNum;
    }
    /**
     *  主全程途径
     */
    private String wholeBacklogDesc; 
    /**
     *  主冶金规范码
     */
    private String msc; 
    /**
     *  主制程索引号
     */
    private String indexSeq; 
    /**
     *  主BOM
     */
    private String bom; 
    /**
     *  按长度控制标识
     */
    private String ifLenControl; 
    /**
     *  负公差轧制标识
     */
    private String ifMinusSicRoll;
    /**
     *  管端系数
     */
    private String tubeEndRatio; 
    /**
     * 合同紧急度
     */
    private String priority; 
    /**
     * 紧急度备注
     */
    private String priorityMemo;
    /**
     *  主全程途径
     */
    public String getWholeBacklogDesc() {
        return wholeBacklogDesc;
    }
    /**
     *  主全程途径
     */
    public void setWholeBacklogDesc(String wholeBacklogDesc) {
        this.wholeBacklogDesc = wholeBacklogDesc;
    }
    /**
     *  主冶金规范码
     */
    public String getMsc() {
        return msc;
    }
    /**
     *  主冶金规范码
     */
    public void setMsc(String msc) {
        this.msc = msc;
    }
    /**
     *  主制程索引号
     */
    public String getIndexSeq() {
        return indexSeq;
    }
    /**
     *  主制程索引号
     */
    public void setIndexSeq(String indexSeq) {
        this.indexSeq = indexSeq;
    }
    /**
     *  主BOM
     */
    public String getBom() {
        return bom;
    }
    /**
     *  主BOM
     */
    public void setBom(String bom) {
        this.bom = bom;
    }
    /**
     *  按长度控制标识
     */
    public String getIfLenControl() {
        return ifLenControl;
    }
    /**
     *  按长度控制标识
     */
    public void setIfLenControl(String ifLenControl) {
        this.ifLenControl = ifLenControl;
    }
    /**
     *  负公差轧制标识
     */
    public String getIfMinusSicRoll() {
        return ifMinusSicRoll;
    }
    /**
     *  负公差轧制标识
     */
    public void setIfMinusSicRoll(String ifMinusSicRoll) {
        this.ifMinusSicRoll = ifMinusSicRoll;
    }
    /**
     *  管端系数
     */
    public String getTubeEndRatio() {
        return tubeEndRatio;
    }
    /**
     *  管端系数
     */
    public void setTubeEndRatio(String tubeEndRatio) {
        this.tubeEndRatio = tubeEndRatio;
    }
    /**
     * 合同紧急度
     */
    public String getPriority() {
        return priority;
    }
    /**
     * 合同紧急度
     */
    public void setPriority(String priority) {
        this.priority = priority;
    }
    /**
     * 紧急度备注
     */
    public String getPriorityMemo() {
        return priorityMemo;
    }
    /**
     * 紧急度备注
     */
    public void setPriorityMemo(String priorityMemo) {
        this.priorityMemo = priorityMemo;
    } 
    /**
     *利库钢种代码集合(钢种优先级大于100的)
     */
    private String gradecodeLk="";
    /**
     *利库钢种名称集合
     */
    private String gradenameLk="";
    /**
     *利库钢种成分标准索引号集合(内控)
     */
    private String cicGroupLk="";
    /**
     *利库钢种代码集合(钢种优先级大于100的)
     */
    public String getGradecodeLk() {
        return gradecodeLk;
    }
    /**
     *利库钢种代码集合(钢种优先级大于100的)
     */
    public void setGradecodeLk(String gradecodeLk) {
        this.gradecodeLk = gradecodeLk;
    }
    /**
     *利库钢种名称集合
     */
    public String getGradenameLk() {
        return gradenameLk;
    }
    /**
     *利库钢种名称集合
     */
    public void setGradenameLk(String gradenameLk) {
        this.gradenameLk = gradenameLk;
    }
    /**
     *利库钢种成分标准索引号集合(内控)
     */
    public String getCicGroupLk() {
        return cicGroupLk;
    }
    /**
     *利库钢种成分标准索引号集合(内控)
     */
    public void setCicGroupLk(String cicGroupLk) {
        this.cicGroupLk = cicGroupLk;
    }
    
    /**
     * 需求吨Min
     */
    private double gpreqWeightMin = 0.0;
    /**
     * 需求吨Min
     */
    public double getGpreqWeightMin() {
        return gpreqWeightMin;
    }
    
    /**
     * 需求吨Min
     */
    public void setGpreqWeightMin(double gpreqWeightMin) {
        this.gpreqWeightMin = gpreqWeightMin;
    }
    private String zyBatchId="";
    /**
     * 轧批号
     * 
     * @return value
     */
    public String getZyBatchId() {
        return zyBatchId;
    }

    /**
     * 轧批号
     * 
     * @param zyBatchId
     *            value
     */
    public void setZyBatchId(String zyBatchId) {
        this.zyBatchId = zyBatchId;
    }
    /**
     *钢种
     */
    private String gradename="";
    /**
     *钢种
     */
    public String getGradename() {
        return gradename;
    }
    /**
     *钢种
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }
    /**
     * 炉计划下发时间
     */
    private String stoveIssuedTime = "";
    /**
     * 炉计划下发人
     */
    private String stoveIssuedMan = "";
    /**
     * 炉计划下发时间
     * 
     * @return value
     */
    public String getStoveIssuedTime() {
        return stoveIssuedTime;
    }

    /**
     * 炉计划下发时间
     * 
     * @param stoveIssuedTime
     *            value
     */
    public void setStoveIssuedTime(String stoveIssuedTime) {
        this.stoveIssuedTime = stoveIssuedTime;
    }

    /**
     * 炉计划下发人
     * 
     * @return value
     */
    public String getStoveIssuedMan() {
        return stoveIssuedMan;
    }

    /**
     * 炉计划下发人
     * 
     * @param stoveIssuedMan
     *            value
     */
    public void setStoveIssuedMan(String stoveIssuedMan) {
        this.stoveIssuedMan = stoveIssuedMan;
    }
    
    /**
     * 物流去向编号
     */
    private String gowhereCode = "";
    /**
     * 物流去向
     */
    private String gowhereName = "";
    /**
     * 物流去向编号
     */
    public String getGowhereCode() {
        return gowhereCode;
    }
    /**
     * 物流去向编号
     */
    public void setGowhereCode(String gowhereCode) {
        this.gowhereCode = gowhereCode;
    }
    /**
     * 物流去向
     */
    public String getGowhereName() {
        return gowhereName;
    }
    /**
     * 物流去向
     */
    public void setGowhereName(String gowhereName) {
        this.gowhereName = gowhereName;
    }

	private String ifAmount = "";

	/**
	 *是否补量
	 */
	public String getIfAmount() {
		return ifAmount;
	}

	/**
	 *是否补量
	 */
	public void setIfAmount(String ifAmount) {
		this.ifAmount = ifAmount;
	}
	private String steelJudgement="";
	/**
	 *炼钢判定标准
	 */
	public String getSteelJudgement() {
		return steelJudgement;
	}
	/**
	 *炼钢判定标准
	 */
	public void setSteelJudgement(String steelJudgement) {
		this.steelJudgement = steelJudgement;
	}
	private String ifCraftLocked="";
	/**
	 *是否工艺变更锁定
	 */
	public String getIfCraftLocked() {
		return ifCraftLocked;
	}
	/**
	 *是否工艺变更锁定
	 */
	public void setIfCraftLocked(String ifCraftLocked) {
		this.ifCraftLocked = ifCraftLocked;
	}
	/**
	 * 工艺确认
	 */
	private String ifConfirm = "";
	/**
	 * 工艺确认
	 */
	public String getIfConfirm() {
		return ifConfirm;
	}

	/**
	 * 工艺确认
	 */
	public void setIfConfirm(String ifConfirm) {
		this.ifConfirm = ifConfirm;
	}
	/**
	 * 工艺路径
	 */
	private String craftPath = "";
	/**
	 * 工艺路径
	 */
	public String getCraftPath() {
		return craftPath;
	}

	/**
	 * 工艺路径
	 */
	public void setCraftPath(String craftPath) {
		this.craftPath = craftPath;
	}

	private String finalUserDesc = "";
	/**
	 * 最终用户
	 */
	public String getFinalUserDesc() {
		return finalUserDesc;
	}
	/**
	 * 最终用户
	 */
	public void setFinalUserDesc(String finalUserDesc) {
		this.finalUserDesc = finalUserDesc;
	}
	private String passCode="";
	private String passName="";
	/**
	 * 孔型代码
	 */
	public String getPassCode() {
		return passCode;
	}
	/**
	 * 孔型代码
	 */
	public void setPassCode(String passCode) {
		this.passCode = passCode;
	}
	/**
	 * 孔型描述
	 */
	public String getPassName() {
		return passName;
	}
	/**
	 * 孔型描述
	 */
	public void setPassName(String passName) {
		this.passName = passName;
	}
	/**
	 * 监制提前通知天（取本工序最大）
	 */
	private String prdcrAdvcDay = "";
	/**
	 * 监制提前通知天（取本工序最大）
	 * 
	 * @return value
	 */
	public String getPrdcrAdvcDay() {
		return prdcrAdvcDay;
	}

	/**
	 * 监制提前通知天（取本工序最大）
	 * 
	 * @param prdcrAdvcDay
	 *            value
	 */
	public void setPrdcrAdvcDay(String prdcrAdvcDay) {
		this.prdcrAdvcDay = prdcrAdvcDay;
	}
	private String singleCutNun="";
	/**
	 * 单支可切个数
	 */
	public String getSingleCutNun() {
		return singleCutNun;
	}
	/**
	 * 单支可切个数
	 */
	public void setSingleCutNun(String singleCutNun) {
		this.singleCutNun = singleCutNun;
	}
}
